# Get Collection

This endpoint allows getting collection information.

## Get Collection

<mark style="color:blue;">`GET`</mark> `https://graph.whisk.com/v1/:collection_id`

#### Path Parameters

| Name           | Type   | Description                  |
| -------------- | ------ | ---------------------------- |
| collection\_id | string | Unique collection identifier |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## Response

The result is a collection of information.

## Sample Request

```javascript
{
  "id": "97f77cceca5d11e7ae7e42010a9a0035",
  "name": "My collection",
  "recipesCount": 10,
  "createdAt": 1525352769,
  "updatesAt": 1525352769
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.whisk.com/api/recipes/user-recipes-and-collections/get-collection.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
